<template>
  <el-dialog
    :title="title"
    top="10vh"
    center
    :visible.sync="visible"
    :width="width"
    :destroy-on-close="true"
    @close="close()"
  >
    <div>
      <slot
        class="body"
        name="body"
      >
        我是默认body
      </slot>
    </div>
    <div
      slot="footer"
      class="dialog-footer"
    >
      <el-button
        v-if="isShowCloseBut"
        @click="close()"
      >
        关闭
      </el-button>
      <el-button
        v-if="isShowSumbitBut"
        type="primary"
        @click="handleSumbmit()"
      >
        确 定
      </el-button>
    </div>
  </el-dialog>
</template>

<script>
export default {
  components: {},
  props: {
    width: {
      type: String,
      default: '30%'
    },
    title: {
      type: String,
      default: 'title'
    },
    isShowCloseBut: {
      type: Boolean,
      default: true
    },
    isShowSumbitBut: {
      type: Boolean,
      default: true
    },
    dialogVisible: {
      type: Boolean,
      default: false
    }
  },
  data () {
    return {
      visible: false
    }
  },
  computed: {},
  watch: {},
  created () {
    console.log('this.dialogVisible', this.dialogVisible)
    this.visible = this.dialogVisible
  },
  mounted () {

  },
  methods: {
    close () {
      this.visible = false
      this.$emit('update:dialogVisible', false)
    },
    handleSumbmit () {
      this.close()
      this.$emit('dialogSubmit', false)
    }
  }
}
</script>
<style scoped lang="scss">
/deep/.el-dialog__title{
  font-size: 20px;
  font-weight: bold;
}
</style>
